Bug 117009 - up2date cannot register via proxy
Summary: up2date cannot register via proxy
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-27 12:32 UTC by Mindaugas Riauba
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 03:47:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:138 normal SHIPPED_LIVE Updated up2date packages resolves proxy, --install issues 2004-05-11 04:00:00 UTC

Description Mindaugas Riauba 2004-02-27 12:32:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
If I try to register my new machine using proxy I'm getting the following error:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1190, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 720, in main
    tui.main()
  File "tui.py", line 1097, in main
  File "tui.py", line 1041, in run
  File "tui.py", line 613, in __init__
  File "hardware.py", line 517, in Hardware
  File "hardware.py", line 345, in read_network
  File "hardware.py", line 320, in findHostByRoute
socket.error: (111, 'Connection refused')


Version-Release number of selected component (if applicable):
up2date-4.2.5-1

How reproducible:
Always

Steps to Reproduce:
1. up2date --register

Expected Results:  Registration

Additional info:

Fixed by editing /usr/share/rhn/up2date_client/hardware.py line 320. 
Changed 80 to 3128 (my proxy port).

Comment 1 Adrian Likins 2004-03-12 19:29:34 UTC
fixed in 4.2.8

Comment 2 John Flanagan 2004-05-12 03:47:36 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-138.html



Note You need to log in before you can comment on or make changes to this bug.